exupdate and dependency problem

In case you still have ESX 4.0 in your enterprise and update to U3 failed with following error: DependencyError: Requested VIB rpm_vmware-esx-vmkernel64 conflicts with the host and in /var/log/vmware/esxupdate.log can be found below error message:

You have follow procedure from VMware KB1026752

Error is related with Cisco Nexus package which is installed on ESX but not used.

Artur Krzywdzinski

Artur is Consulting Architect at Nutanix. He has been using, designing and deploying VMware based solutions since 2005 and Microsoft since 2012. He specialize in designing and implementing private and hybrid cloud solution based on VMware and Microsoft software stacks, datacenter migrations and transformation, disaster avoidance. Artur holds VMware Certified Design Expert certification (VCDX #077).